Subject: Trouble building gnu-win32 beta 17.1 as a cross-compiler
From: [email-masked]

12 Dec 1996 00:43:26 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Mailer: exmh version 1.6.9 8/22/96
Original-To: [email-masked]
Original-Cc: [email-masked]
Original-Sender: [email-masked]

  Hello,

I tried to build latest gnu-win32 as a cross compiler from linux
to i386 windowsnt. I hope to be abble to build Amaya for Windows-NT
(c.f. http://www.w3.org/pub/WWW/Amaya ) using a cross platform
environment (I got mad with VC++). Maybe it is just unrealistic, but
browsing and reading docs seems to indicate that gnu-win32 is stable
enought to compile graphical W32 apps.

Here is what I have done :
   - fetched the source distrib xaa ... xai, and detarred the tree
   - ./configure --target=i586-unknown-cygwin32 --prefix=/usr/local/win32
     seems ok, my host is recognised as i586-pc-linux-gnu, got a warning
     saying that tcl, tk, expect, ligloss and gdb cannot be configured
   - started make CFLAGS=-O2
   - started make install beginning to fill my /usr/local/win32 tree
   - bombed trying to cd to winsup and do the make install.

I seems that winsup is the library support for the windows (non console)
apps. It has been switched off in the configure.in but still remain
in the Makefile.in (TARGET_CONFIGDIRS) . I tryied to patch things around
(adding target-winsup to target_libs in configure.in), modified the Makefile
generated to use xgcc and not gcc, but failed to get things done in winsup.

 Is there any chance to get a cross developpment chain including winsup ?
Is winsup support explicitely stopped or is this a problem just related to
current release ?

    thanks in advance for any advice or help,

Daniel

-- 
Daniel [email-masked]      | W3C / INRIA Rhone-Alpes | Today's Bookmarks :
[email-masked]| 655 av de l'Europe      | Linux, WWW,
Tel : +33 04 76 61 53 85    | 38330 Montbonnot        | badminton,
Fax : +33 04 76 54 76 15    | France                  | Amaya and CSS.
Home: +33 04 76 63 05 86    | http://opera.inrialpes.fr/veillard

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".